Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #467 (reopened task)

Opened 11 years ago

Last modified 10 years ago

Merge gphobos changes for math functions

Reported by: larsivi Assigned to: Don Clugston
Priority: major Milestone: External Bugs
Component: Core Functionality Version: 0.97 RC1
Keywords: gdc, asm Cc:

Description

See #461, where poly's asm implementation is wrong for GDC. The gphobos source coming with GDC (or that can be found in the GDC svn repository, http://dgcc.svn.sourceforge.net/viewvc/dgcc/trunk/d/phobos/std/math.d?revision=97&view=markup ), has asm modified to work with GDC (and for both real.sizeof==10 and 12).

There may be changes to other functions too, in which case they should be merged too.

Change History

05/12/07 19:45:36 changed by larsivi

Ok, no difference whatsoever with either DMD or GDC, GDC still segfaults if it tries to execute that code. But then the gphobos unittest in std.math segfaults too - so either the code is plain wrong for GDC or it is a GDC bug.

05/12/07 19:59:43 changed by larsivi

Reported to the D bugzilla as a GDC/GPhobos bug. http://d.puremagic.com/issues/show_bug.cgi?id=1230

07/03/07 03:01:13 changed by kris

  • milestone changed from 0.99 RC3 to 1.0.

Hiya Don

I'm moving six of your tickets to 1.0, since the release is already late. Can you enable some traction on these tickets, please? Some of them, I don't know what to do with. Perhaps you do?

07/03/07 11:53:05 changed by Don Clugston

  • status changed from new to closed.
  • resolution set to fixed.

Done. The only other differences between gphobos and phobos are in the loosened equality tests, eg for complex sqrt(). If gdc really can't satisfy the stricter tests, it has some serious bugs.

07/03/07 11:54:44 changed by larsivi

  • milestone changed from 1.0 to 0.99 RC3.

11/05/07 13:48:11 changed by larsivi

  • status changed from closed to reopened.
  • resolution deleted.

FWIW, the asm still segfaults with

gdc (GCC) 4.1.3 20070831 (prerelease gdc 0.25, using dmd 1.021) (Ubuntu 0.25-4.1.2-16ubuntu1) (Unknown svn revision).

I am reopening this so I can more easy track the problems with GDC. It can be closed once the underlying GDC bug is fixed.

11/05/07 13:49:16 changed by larsivi

  • milestone changed from 0.99 RC3 to 1.0.

01/24/08 20:23:19 changed by larsivi

  • milestone changed from 1.0 to External Bugs.